[ARVADOS] updated: 5bcff13d55efbfd176cd113d28a4b1cd2b14dac6
Git user
git at public.curoverse.com
Tue Jul 18 12:15:16 EDT 2017
Summary of changes:
.../{deb-common-test-packages.sh => test-packages-debian9.sh} | 0
1 file changed, 0 insertions(+), 0 deletions(-)
copy build/package-testing/{deb-common-test-packages.sh => test-packages-debian9.sh} (100%)
via 5bcff13d55efbfd176cd113d28a4b1cd2b14dac6 (commit)
from 3622d1d6c8951de35d61124a38c24c5d035ca6c7 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 5bcff13d55efbfd176cd113d28a4b1cd2b14dac6
Author: Nico Cesar <nico at curoverse.com>
Date: Tue Jul 18 12:14:14 2017 -0400
11980:test-package-debian9.sh added
refs #11980
Arvados-DCO-1.1-Signed-off-by: Nicolas Cesar <nico at curoverse.com>
diff --git a/build/package-testing/test-packages-debian9.sh b/build/package-testing/test-packages-debian9.sh
new file mode 100755
index 0000000..b4ea35c
--- /dev/null
+++ b/build/package-testing/test-packages-debian9.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: AGPL-3.0
+
+set -eu
+
+# Multiple .deb based distros symlink to this script, so extract the target
+# from the invocation path.
+target=$(echo $0 | sed 's/.*test-packages-\([^.]*\)\.sh.*/\1/')
+
+export ARV_PACKAGES_DIR="/arvados/packages/$target"
+
+dpkg-query --show > "$ARV_PACKAGES_DIR/$1.before"
+
+apt-get -qq update
+apt-get --assume-yes --allow-unauthenticated install "$1"
+
+dpkg-query --show > "$ARV_PACKAGES_DIR/$1.after"
+
+set +e
+diff "$ARV_PACKAGES_DIR/$1.before" "$ARV_PACKAGES_DIR/$1.after" > "$ARV_PACKAGES_DIR/$1.diff"
+set -e
+
+mkdir -p /tmp/opts
+cd /tmp/opts
+
+export ARV_PACKAGES_DIR="/arvados/packages/$target"
+
+dpkg-deb -x $(ls -t "$ARV_PACKAGES_DIR/$1"_*.deb | head -n1) .
+
+while read so && [ -n "$so" ]; do
+ echo
+ echo "== Packages dependencies for $so =="
+ ldd "$so" | awk '($3 ~ /^\//){print $3}' | sort -u | xargs dpkg -S | cut -d: -f1 | sort -u
+done <<EOF
+$(find -name '*.so')
+EOF
+
+exec /jenkins/package-testing/common-test-packages.sh "$1"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list